docusign.favorite-templates.un-favorite-template ​
Remove one or more templates from the account favorites. Your request should include each template to remove as a separate favoriteTemplatesContentItem JSON object, like this: { "favoriteTemplates": [ { "templateId": "6bc0584f-xxxx-xxxx-xxxx-35ab28cc44e1" }, { "templateId": "8ae9b3452-xxxx-xxxx-xxx-ac0de23fa57f" } ] } The response includes the IDs of the templates that were successfully removed from your favorites. To get the account's remaining favorite templates, use the getFavoriteTemplates endpoint.
Remove one or more templates from the account favorites.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
errordetails | json | No | — | This object describes errors that occur. It is only valid for responses and ignored in requests. |
favoritetemplates | list | No | — | The favorite templates acted upon by the call. |
templatesupdatedcount | integer | No | — | The number of templates successfully updated by the call. This property is read-only. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
errordetails | json | No | — | This object describes errors that occur. It is only valid for responses and ignored in requests. |
favoritetemplates | list | No | — | The favorite templates acted upon by the call. |
templatesupdatedcount | integer | No | — | The number of templates successfully updated by the call. This property is read-only. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call DELETE /v2.1/accounts/{accountId}/favorite_templates |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform DELETE /v2.1/accounts/{accountId}/favorite_templates |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.favorite-templates.un-favorite-template",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}